Class WorkflowsRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\workflows
public class WorkflowsRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderWorkflowsRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
WorkflowsRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new WorkflowsRequestBuilder and sets the default values.
public WorkflowsRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
WorkflowsRequestBuilder(string, IRequestAdapter)
Instantiates a new WorkflowsRequestBuilder and sets the default values.
public WorkflowsRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.workflows.item collection
public WorkflowsItemRequestBuilder this[string position] { get; }
Parameters
positionstringWorkflow identifier
Property Value
Scheduled
The scheduled property
public ScheduledRequestBuilder Scheduled { get; }
Property Value
Methods
GetAsync(Action<RequestConfiguration<WorkflowsRequestBuilderGetQueryParameters>>?, CancellationToken)
List workflows filtered by name and paginated using first and max parameters.
public Task<WorkflowRepresentation?> GetAsync(Action<RequestConfiguration<WorkflowsRequestBuilder.WorkflowsRequestBuilderGetQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<WorkflowsRequestBuilder.WorkflowsRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
PostAsync(WorkflowRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Create a new workflow from the provided representation.
public Task PostAsync(WorkflowRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyWorkflowRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<WorkflowsRequestBuilderGetQueryParameters>>?)
List workflows filtered by name and paginated using first and max parameters.
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<WorkflowsRequestBuilder.WorkflowsRequestBuilderGetQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<WorkflowsRequestBuilder.WorkflowsRequestBuilderGetQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPostRequestInformation(WorkflowRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Create a new workflow from the provided representation.
public RequestInformation ToPostRequestInformation(WorkflowRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyWorkflowRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public WorkflowsRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.